
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.GdkPixbuf.Objects.PixbufSimpleAnimIter
    ( 

-- * Exported types
    PixbufSimpleAnimIter(..)                ,
    PixbufSimpleAnimIterK                   ,
    toPixbufSimpleAnimIter                  ,
    noPixbufSimpleAnimIter                  ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.GdkPixbuf.Types
import GI.GdkPixbuf.Callbacks
import qualified GI.GObject as GObject

newtype PixbufSimpleAnimIter = PixbufSimpleAnimIter (ForeignPtr PixbufSimpleAnimIter)
foreign import ccall "gdk_pixbuf_simple_anim_iter_get_type"
    c_gdk_pixbuf_simple_anim_iter_get_type :: IO GType

type instance ParentTypes PixbufSimpleAnimIter = PixbufSimpleAnimIterParentTypes
type PixbufSimpleAnimIterParentTypes = '[PixbufAnimationIter, GObject.Object]

instance GObject PixbufSimpleAnimIter where
    gobjectIsInitiallyUnowned _ = False
    gobjectType _ = c_gdk_pixbuf_simple_anim_iter_get_type
    

class GObject o => PixbufSimpleAnimIterK o
instance (GObject o, IsDescendantOf PixbufSimpleAnimIter o) => PixbufSimpleAnimIterK o

toPixbufSimpleAnimIter :: PixbufSimpleAnimIterK o => o -> IO PixbufSimpleAnimIter
toPixbufSimpleAnimIter = unsafeCastTo PixbufSimpleAnimIter

noPixbufSimpleAnimIter :: Maybe PixbufSimpleAnimIter
noPixbufSimpleAnimIter = Nothing

type instance AttributeList PixbufSimpleAnimIter = PixbufSimpleAnimIterAttributeList
type PixbufSimpleAnimIterAttributeList = ('[ ] :: [(Symbol, *)])

type instance SignalList PixbufSimpleAnimIter = PixbufSimpleAnimIterSignalList
type PixbufSimpleAnimIterSignalList = ('[ '("notify", GObject.ObjectNotifySignalInfo), '("notify::[property]", GObjectNotifySignalInfo)] :: [(Symbol, *)])


